# Shipping

Umbraco Commerce offers three different shipping method configurations for calculating shipping rates, which are:

### [Fixed Rate Shipping](/umbraco-commerce/reference/shipping/fixed-rate-shipping.md)

The fixed rate shipping option allows you to configure a single fixed rate for the whole of an order.

### [Dynamic Rate Shipping](/umbraco-commerce/reference/shipping/dynamic-rate-shipping.md)

The dynamic rate shipping option allows you to configure a series of ranges from which an order will be checked against. These checks identify a which range the order falls within. For each range a series of rate options can be configured. Options include fixed rate per order, a fixed rate per order item, percentage based rates amongst others.

### [Realtime Rate Shipping](/umbraco-commerce/reference/shipping/realtime-rate-shipping.md)

The realtime rate shipping option allows you to configure a connection to a shipping operator to fetch realtime shipping rate estimates for an order.

## Shipping Calculators

Should you wish to take more control over the shipping calculation process you can swap out the whole shipping calculator implementation. See the [Calculator documentation](/umbraco-commerce/key-concepts/calculators.md) for more details.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce/reference/shipping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
